using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace InABox.Scripting
{
    public interface ITabularFileReader
    {
        Dictionary<string, int> Columns { get; set; }

        bool EndOfData { get; }

        bool ReadHeader();

        bool SkipLine();

        Dictionary<string, object?> ReadLine();

        IList<string> ReadLineValues();
    }
}
